Bug 269058 - java.lang.ClassNotFoundException: org.apache.commons.lang.StringUtils
java.lang.ClassNotFoundException: org.apache.commons.lang.StringUtils
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
8.2
Macintosh Mac OS X
: P2 (vote)
: 8.2
Assigned To: Tomas Stupka
issues@projects
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-21 15:24 UTC by Tomas Stupka
Modified: 2016-12-13 16:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2016-11-21 15:24:02 UTC
Product Version = NetBeans IDE Dev (Build 20161118-71bfbf96b5ac)
Operating System = Mac OS X version 10.11.2 running on x86_64
Java; VM; Vendor = 1.8.0_102
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.102-b07

Reproducibility: Happens sometimes, but not always

SEVERE [global]
java.lang.ClassNotFoundException: org.apache.commons.lang.StringUtils
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:222)
Caused: java.lang.ClassNotFoundException: org.apache.commons.lang.StringUtils starting from ModuleCL@12921824[org.netbeans.modules.maven.embedder] with possible defining loaders [Netigso[reference:file:ide/modules/org-apache-commons-lang.jar]] and declared parents [ModuleCL@fec31d[org.netbeans.api.progress], org.netbeans.MainImpl$BootClassLoader@377dca04, Netigso[reference:file:ide/modules/org-apache-commons-logging.jar], ModuleCL@67d60114[org.netbeans.api.progress.nb], ModuleCL@66a90a44[org.netbeans.modules.projectapi], ModuleCL@31206924[org.netbeans.modules.projectuiapi.base], ModuleCL@5bc22c0e[org.netbeans.api.annotations.common]]
	at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:224)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
Caused: java.lang.NoClassDefFoundError: org/apache/commons/lang/StringUtils
	at org.apache.maven.wagon.providers.file.FileWagon.resolveDestinationPath(FileWagon.java:206)
	at org.apache.maven.wagon.providers.file.FileWagon.resourceExists(FileWagon.java:265)
	at org.sonatype.aether.connector.wagon.WagonRepositoryConnector$GetTask.run(WagonRepositoryConnector.java:577)
	at org.sonatype.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:60)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
Comment 1 Tomas Stupka 2016-11-21 15:25:54 UTC
introduced with update of the FileWagon library in maven.embedder

the org.apache.commons.lang dependency is missing in maven.embedder
Comment 2 Tomas Stupka 2016-11-24 09:42:12 UTC
no present in trunk, where the embedded maven was upgraded to 3.3.9
Comment 3 Tomas Stupka 2016-11-24 09:43:24 UTC
fixed in releases #698929a0e5e1 branch release82
Comment 4 Jiri Prox 2016-12-13 16:21:34 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo